function Hask(data) {
  this.data = data;
  console.log(data);
}

Hask.wordClick = function(res) {
  //Lexp.target = "hask";
  //var target = res.target.href;
  Lexp.go2URL(res.getAttribute("href"));

  return false;
}

Hask.realFormatter = function(value) {
  return value.toFixed(2);
}

Hask.urlFormatter = function(value) {
  return '<a href="' + value + '" target="hask"><span data-toggle="tooltip" data-placement="top" class="source glyphicon glyphicon glyphicon-link"></span></a>';
}

Hask.lemmaFormatter = function(value) {
  return '<a href="/lemma/pl/' + value + '" onclick="Hask.wordClick(this);return false;">' + value + '</a>';
}

Hask.prototype.showTypeList = function(tag) {
  tag.html(Hask.htmllist);
  var __this = this;
  $("#table_HaskList").bootstrapTable({data: this.data}).on('click-row.bs.table', function (e, row, $element) {
    tag.html("");
    var nag = '<div id="back-bar" class="pull-right search"><span style="cursor:pointer;" class="glyphicon glyphicon-arrow-left"></span>&nbsp;</div>';
    tag.html(Hask.html);

    $("#table_Hask").bootstrapTable({data: row.collocations, height: 550});
    // console.log(row.collocations);
    tag.find(".fixed-table-toolbar").append(nag);
    tag.find("#back-bar").click(function() {
      __this.showTypeList(tag);
      return false;
    });
  });
}

Hask.prototype.showHTML = function(tag) {
  tag.html("");

  if (this.data.length == 1) {
    tag.html(Hask.html);
    $("#table_Hask").bootstrapTable({data: this.data[0].collocations, height: 550});
  } else {
    this.showTypeList(tag);
  }
}

Hask.id = "hask";

$(function() {
  Element.addVisualizer(Hask.id, Hask);
  $.get("/hask/hask.html", {"_": $.now()}, function(data) {
    // console.log("HASK DATA");
    // console.log(data);
    Hask.html = data;
  });

  $.get("/hask/hasklist.html", {"_": $.now()}, function(data) {
    // console.log("HASK DATA LIST");
    // console.log(data);
    Hask.htmllist = data;
  });
});